### Method

# Eog Application open_uri_list

#### Declaration [src]

    gboolean
    eog_application_open_uri_list (
      EogApplication* application,
      GSList* uri_list,
      guint timestamp,
      EogStartupFlags flags,
      GError** error
    )

#### Description [src]

Opens a list of images, from a list of URIs. See `eog_application_open_file_list()` for details.

#### Parameters

`uri_list`

  Type: A list of `utf8`

  A list of URIs.

  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`timestamp`

  Type: `guint`

  The timestamp of the user interaction which triggered this call (see gtk_window_present_with_time()).

`flags`

  Type: `EogStartupFlags`

  A set of `EogStartupFlags` influencing a new windows’ state.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Currently always `TRUE`.